"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Cache = require("./Cache");
var DefaultLogger_1 = require("./DefaultLogger");
var ConsoleLogger_1 = require("./ConsoleLogger");
var ConfigBase = /** @class */ (function () {
    function ConfigBase(_sdkKey, _options) {
        this.consoleLog = false;
        this.baseUrl = "https://cdn.floodgate.io";
        this.configUrl = "";
        this.API_VERSION = "v1";
        if (!_sdkKey) {
            throw new Error("Invalid SDK Key");
        }
        this.sdkKey = _sdkKey;
        this.configUrl = this.baseUrl;
        this.logger = new DefaultLogger_1.default();
        if (_options) {
            if (!_options.cache) {
                // this.cache = new Cache.InMemoryCache();
                this.cache = new Cache.LocalStorageCache();
            }
            if (_options.consoleLog) {
                this.logger = new ConsoleLogger_1.default();
                this.logger.Log('Enabling console logging');
            }
            if (_options.configUrl) {
                this.configUrl = _options.configUrl;
            }
        }
    }
    ConfigBase.prototype.buildUrl = function () {
        var url = this.configUrl + "/environment-files/" + this.sdkKey + "/" + this.API_VERSION + "/flags-config.json";
        return url;
    };
    return ConfigBase;
}());
exports.ConfigBase = ConfigBase;
