"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FloodGateClient_1 = require("./FloodGateClient");
var AutoUpdateConfig_1 = require("./AutoUpdateConfig");
var User_1 = require("./User");
function createClient(_sdkKey) {
    var config = {
        sdkKey: _sdkKey,
        refreshInterval: 60
    };
    return createAutoUpdateClient(_sdkKey, config);
}
exports.createClient = createClient;
function createAutoUpdateClient(_sdkKey, _config) {
    return new FloodGateClient_1.FloodGateClient(new AutoUpdateConfig_1.AutoUpdateConfig(_sdkKey, _config));
}
exports.createAutoUpdateClient = createAutoUpdateClient;
// _id: string, _email?: string, _customAttributes?: { [key: string] : string; }
function createUser(_id, _email, _customAttributes) {
    return new User_1.User(_id, _email, _customAttributes);
}
exports.createUser = createUser;
